# This is bisection method
# for finding \sqrt(2)
# input: a,b (endpoints)
# f(x) = x*x - 2 (you don't know how to use yet)

import math as mt
a = 1; b = 2;
Tol = 1E-6
c = (a+b)/2

while abs(c*c - 2) > Tol:
  if (a*a - 2)*(c*c - 2) < 0: # check root in left interval?
    b = c; # right endpoint = old center
  else:
    a = c; # left endpoint = old center
  c = (a+b)/2

print('root c = %2.10f' %c)
#print('error = %2.10f' %abs(c-mt.sqrt(2)))
print('|f(x*)| = %2.10f' %abs(c*c-2))
